﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridDropDownValidateValueTest
{
    public partial class Form1 : Form
    {
        DataTable data = new DataTable();
        DataTable comboData = new DataTable();
        string[] names = "Andrew;Alex;Devin;Lisa;Emilie;Pamela;Mike;Kevin;Steve;Eric".Split(';');
        Random r = new Random();
        public Form1()
        {
            InitializeComponent();

            data.Columns.Add(new DataColumn("ID", typeof(int)));
            data.Columns.Add(new DataColumn("Name", typeof(string)));
            data.Columns.Add(new DataColumn("Number", typeof(int)));
            data.Columns.Add(new DataColumn("Date", typeof(DateTime)));

            comboData.Columns.Add(new DataColumn("NameID", typeof(int)));
            comboData.Columns.Add(new DataColumn("FirstName", typeof(string)));

            for (int i=0; i < names.Length; i++)
            {
                DataRow row = data.NewRow();
                row[0] = i;
                row[1] = names[i];
                row[2] = r.Next(1000);
                row[3] = DateTime.Today.AddDays(i);
                data.Rows.Add(row);

                DataRow comboRow = comboData.NewRow();
                comboRow[0] = i;
                comboRow[1] = names[i];
                comboData.Rows.Add(comboRow);
            }

            ultraGrid1.InitializeLayout += UltraGrid1_InitializeLayout;
            ultraGrid1.DataSource = data;

        }

        private void UltraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridColumn column = ultraGrid1.DisplayLayout.Bands[0].Columns["Name"];
            UltraCombo combo = new UltraCombo() { DataSource = comboData, ValueMember = "FirstName" };
            column.EditorComponent = combo;
            column.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDownValidate;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            foreach(DataRow row in data.Rows)
            {
                System.Diagnostics.Debug.WriteLine("Print for row " + data.Rows.IndexOf(row));
                foreach(var x in row.ItemArray)
                {
                    System.Diagnostics.Debug.WriteLine(x);
                }
            }
        }
    }
}
